# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests
%bcond_with	bootstrap	# bootsrapping without build and install installed

%if %{with bootstrap}
%undefine	with_doc
%undefine	with_tests
%endif

%ifarch x32
%undefine	with_doc
%endif

%define		module	installer
Summary:	A library for installing Python wheels
# Name must match the python module/package name (as on pypi or in 'import' statement)
Name:		python3-%{module}
Version:	0.7.0
Release:	5
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.debian.net/installer/%{module}-%{version}.tar.gz
# Source0-md5:	d961d1105c9270049528b1167ed021bc
URL:		https://pypi.org/project/installer/
BuildRequires:	python3-build
%{!?with_bootstrap:BuildRequires:	python3-installer}
BuildRequires:	python3-modules >= 1:3.2
%if %{with tests}
#BuildRequires:	python3-
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-mdit-py-plugins
BuildRequires:	python3-myst_parser
BuildRequires:	python3-sphinx_argparse
BuildRequires:	python3-sphinx_argparse_cli
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a low-level library for installing a Python package from a
wheel distribution. It provides basic functionality and abstractions
for handling wheels and installing packages from wheels.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%if %{with doc}
cd docs
sphinx-build-3 -b html -d _build/doctrees   . _build/html
cd ..
rm -rf docs/_build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with bootstrap}
export PYTHONPATH=$(pwd)/src
%endif
%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-installer.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 321c3bc
- Release 5 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 03ed93b
- no docs on x32, becaue no nodejs

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 506dbed
- rel 4, updated docs deps

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> bed1c72
- rel 3

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> bd94070
- python 3.13 rebuild

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 8a89a7d
- allow bootstrapping

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 0874bac
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 43c6da7
- Build docs

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> d87b62c
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c11a66
- BR python3-build

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c05e3c6
- Initial version (docs and tests are not done)

